export const themeConfig = [
    {
        title: '默认',
        lanResTag: '',
        color: '#3880ff',
        codeName: 'app-theme-default',
        disabled: false,
        vars: [{
            label: '头部',
            value: 'header',
            className: '',
            disabled: false,
            items: [{
                label: '背景色',
                cssName: 'header-background-color',
                default: '#3880ff',
                disabled: false,
                showAlpha: true
            }, {
                label: '文本色',
                cssName: 'header-text-color',
                default: '#FFF',
                disabled: false,
                showAlpha: true
            }]
        }, {
            label: '导航栏',
            value: 'menu',
            className: '',
            disabled: false,
            items: [{
                label: '背景色',
                cssName: 'menu-background-color',
                default: '#FFF',
                disabled: false,
                showAlpha: true
            }, {
                label: '背景色（激活）',
                cssName: 'menu-item-background-color--active',
                default: '#3880ff',
                disabled: false,
                showAlpha: true
            }, {
                label: '文本色',
                cssName: 'menu-text-color',
                default: '#808080',
                disabled: false,
                showAlpha: true
            }, {
                label: '文本色（激活）',
                cssName: 'menu-item-text-color--active',
                default: '#FFF',
                disabled: false,
                showAlpha: true
            }]
        }, {
            label: '按钮',
            value: 'button',
            className: '',
            disabled: true,
            items: [{
                label: '背景色',
                cssName: 'button-background-color',
                default: '',
                disabled: false,
                showAlpha: true
            }, {
                label: '背景色（悬浮）',
                cssName: 'button-background-color--hover',
                default: '',
                disabled: false,
                showAlpha: true
            }, {
                label: '背景色（禁用）',
                cssName: 'button-background-color--disabled',
                default: '',
                disabled: false,
                showAlpha: true
            }, {
                label: '文本色',
                cssName: 'button-text-color',
                default: '',
                disabled: false,
                showAlpha: true
            }, {
                label: '文本色（悬浮）',
                cssName: 'button-text-color--hover',
                default: '',
                disabled: false,
                showAlpha: true
            }, {
                label: '文本色（禁用）',
                cssName: 'button-text-color--disabled',
                default: '',
                disabled: false,
                showAlpha: true
            }, {
                label: '边框色',
                cssName: 'button-border-color',
                default: '',
                disabled: false,
                showAlpha: true
            }, {
                label: '边框色（悬浮）',
                cssName: 'button-border-color--hover',
                default: '',
                disabled: false,
                showAlpha: true
            }, {
                label: '边框色（禁用）',
                cssName: 'button-border-color--disabled',
                default: '',
                disabled: false,
                showAlpha: true
            },]
        }, {
            label: '其他',
            value: 'other',
            className: '',
            disabled: false,
            items: [{
                label: '应用背景色',
                cssName: 'app-background-color',
                default: '#FFF',
                disabled: false,
                showAlpha: true
            }, {
                label: '应用文本色',
                cssName: 'app-text-color',
                default: '#515a6e',
                disabled: false,
                showAlpha: true
            }]
        }]
    },
    {
        title: '暗黑',
        lanResTag: '',
        codeName: 'app-theme-dark',
        color: '#141414',
        disabled: false,
        vars: [{
            label: '头部',
            value: 'header',
            className: '',
            disabled: false,
            items: [{
                label: '背景色',
                cssName: 'header-background-color',
                default: '#141414',
                disabled: false,
                showAlpha: true
            }, {
                label: '文本色',
                cssName: 'header-text-color',
                default: '#FFF',
                disabled: false,
                showAlpha: true
            }]
        }, {
            label: '导航栏',
            value: 'menu',
            className: '',
            disabled: false,
            items: [{
                label: '背景色',
                cssName: 'menu-background-color',
                default: '',
                disabled: false,
                showAlpha: true
            }, {
                label: '背景色（激活）',
                cssName: 'menu-item-background-color--active',
                default: '',
                disabled: false,
                showAlpha: true
            }, {
                label: '文本色',
                cssName: 'menu-item-text-color',
                default: '',
                disabled: false,
                showAlpha: true
            }, {
                label: '文本色（激活）',
                cssName: 'menu-item-text-color--active',
                default: '',
                disabled: false,
                showAlpha: true
            }]
        }, {
            label: '按钮',
            value: 'button',
            className: '',
            disabled: true,
            items: [{
                label: '背景色',
                cssName: 'button-background-color',
                default: '',
                disabled: false,
                showAlpha: true
            }, {
                label: '背景色（悬浮）',
                cssName: 'button-background-color--hover',
                default: '',
                disabled: false,
                showAlpha: true
            }, {
                label: '背景色（禁用）',
                cssName: 'button-background-color--disabled',
                default: '',
                disabled: false,
                showAlpha: true
            }, {
                label: '文本色',
                cssName: 'button-text-color',
                default: '',
                disabled: false,
                showAlpha: true
            }, {
                label: '文本色（悬浮）',
                cssName: 'button-text-color--hover',
                default: '',
                disabled: false,
                showAlpha: true
            }, {
                label: '文本色（禁用）',
                cssName: 'button-text-color--disabled',
                default: '',
                disabled: false,
                showAlpha: true
            }, {
                label: '边框色',
                cssName: 'button-border-color',
                default: '',
                disabled: false,
                showAlpha: true
            }, {
                label: '边框色（悬浮）',
                cssName: 'button-border-color--hover',
                default: '',
                disabled: false,
                showAlpha: true
            }, {
                label: '边框色（禁用）',
                cssName: 'button-border-color--disabled',
                default: '',
                disabled: false,
                showAlpha: true
            },]
        }, {
            label: '其他',
            value: 'other',
            className: '',
            disabled: false,
            items: [{
                label: '应用背景色',
                cssName: 'app-background-color',
                default: '',
                disabled: false,
                showAlpha: true
            }, {
                label: '应用文本色',
                cssName: 'app-text-color',
                default: '',
                disabled: false,
                showAlpha: true
            }]
        }]
    },
]

export const fontsConfig = [
    {
        label: 'MicrosoftYaHei',
        value: 'Microsoft YaHei',
    },
    {
        label: 'SimHei',
        value: 'SimHei',
    },
    {
        label: 'YouYuan',
        value: 'YouYuan',
    }
]